<div th:replace="shared/header"></div>


<div id="table-id" th:include="${viewPath}+ '/table'"></div>


<div th:include="${viewPath}+ '/employees-components/form-dialog'"></div>
<div th:include="${viewPath}+ '/employees-components/delete-formdialog'"></div>
  

<div th:replace="shared/footer"></div>

<script>
$(document).ready(function(){
  $('#table-id').on('click', '.create-class', function(){
    $('input[name=id]').val(0);
    $('input[type=text]').val('');
    $('input[type=date]').val('');
    $('input[type=checkbox]').attr('checked', false).val(1);
    $('#form-dialog').modal();
    $('#form-dialog').find('#page-title').html('Create ' + pageTitle)
    $('input[name=_csrf]').val($csrf);
    return false;
  })

  $('#table-id').on('click', '.edit-class', function(){
    var $id=$(this).attr('rel');
    $.getJSON('/' +pathUri + '/json/' + $id , function(data){
      $('input[name=id]').val(data.id);
      $('input[name=name]').val(data.name);
      $('input[name=address]').val(data.address);
      $('input[name=contactNo]').val(data.contactNo);
      $('input[name=email]').val(data.email);
      $('input[name=panNo]').val(data.panNo);
      $('input[name=modifiedDate]').val(data.modifiedDate);
      $('input[name=status]').attr('checked', data.status)
      $('input[name=_csrf]').val($csrf);
    })
    $('#form-dialog').modal();
    $('#form-dialog').find('#page-title').html('Edit ' + pageTitle);
    return false;
  })

  $('#app-form').on('submit', function(){
    $.post('/'+ pathUri + '/json', $('#app-form').serialize(), function(data){
      if(data==='success'){
        $.get('/'+ pathUri +'/table', function(data){
          $('#table-id').html(data);
        })
        $('#form-dialog').modal('hide');
      }
    });
    return false;
  })
  $('#table-id').on('click', '.delete-class', function () {
      var $this = $(this);
      var $id = $this.attr('rel');
      var $dialog = $('#delete-form-dialog');
      $dialog.find('#delete-form input[name=id]').val($id);
      $dialog.modal();
      //var $dialog=$('#delete-form-dialog').modal();
      return false;
    });

    $('#delete-form').on('submit', function () {
      var $id = $(this).find('input[name=id]').val();
      $.get('/' + pathUri + "/delete/" + $id, function (data) {
        var $dialog = $('#delete-form-dialog');
        $dialog.modal('hide');
        $.get('/' + pathUri + "/table", function (data) {
          $('#table-id').html(data);
        });
      });
      return false;
    });

 
  
});
</script>



